﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.3
@EndOfDesignText@
'---------------------------------------------------------------------
'Definicoes Globais de Todo Aplicativo
'--------------------------------------------------------------------
Sub Process_Globals	
	Type TwoStrings(Str1 As String, Str2 As String)
	
	Dim Registrado 			As Boolean
	Dim arquivos_necessarios As List
	
	Dim APP_NAME  				As String: 		APP_NAME					= "NSMobile" 
	Dim FILE_PATH 				As String: 		FILE_PATH 				= File.DirInternal
	Dim ARQUIVO_SETUP 		As String: 		ARQUIVO_SETUP 			= "setup.txt" 
	
	Dim ARQUIVO_CLIENTES   	As String: 		ARQUIVO_CLIENTES   	= "Clientes.TXT" 
	Dim ARQUIVO_VENDEDORES 	As String: 		ARQUIVO_VENDEDORES 	= "Vendedores.TXT"
	Dim ARQUIVO_PLANOS 	   As String: 		ARQUIVO_PLANOS     	= "Planos.TXT"
	Dim ARQUIVO_LITRAGEM   	As String: 		ARQUIVO_LITRAGEM   	= "Litragem.TXT"
	Dim ARQUIVO_PRODUTOS   	As String: 		ARQUIVO_PRODUTOS   	= "Produtos.TXT" 
	Dim ARQUIVO_CONTAS     	As String: 		ARQUIVO_CONTAS     	= "Contas.TXT" 
	Dim ARQUIVO_EMPRESAS   	As String: 		ARQUIVO_EMPRESAS   	= "Empresas.TXT" 
	
	Dim ARQUIVO_HISTORICO_VENDAS As String: ARQUIVO_HISTORICO_VENDAS = "HistoricoVendas.TXT" 
	
	Dim NUMERO_DEFAULT     As Float:		NUMERO_DEFAULT          = -999999999 
	'---------------------------------------------------------------------------------------
	' INFORMAÇÕOES ARMAZENADAS NO SETUP
	'---------------------------------------------------------------------------------------
	Dim FTP_HOST					As String
	Dim FTP_USUARIO				As String
	Dim FTP_SENHA					As String
	Dim FTP_PASTA 					As String
	Dim FTP_MODO_PASSIVO 		As Boolean
	
	Dim EMPRESA_DEFAULT  		As String
	Dim VENDEDOR_DEFAULT 		As String
	
	Dim MOSTRAR_INFORMACOES_LITRAGEM As Boolean
	Dim PESQUISAR_COMECO			As Boolean
	
	'---------------------------------------------------------------------------------------
	' INFORMAÇÕOES SOBRE A VENDA ATUAL
	'---------------------------------------------------------------------------------------
	Dim Empresa_atual_codigo  		As String
	Dim Empresa_atual_razao			As String
	
	'--- Produto atual temporário entre a tela de selecao e a tela de venda
	Dim Produto_codigo_atual		As String
	Dim Produto_descricao_atual   As String
	Dim Produto_preco_atual			As String
	Dim Produto_estoque_atual		As String
	Dim Produto_qtde_atual        As String
	
	Dim lstPlanos					As List
	
	'-------------------------------------------------------------------------------------- 
	' Dados da Venda atual
	'---------------------------------------------------------------------------------------
	'--- Cliente atual
	Dim Cliente_atual_codigo 		As String
	Dim Cliente_atual_nome	 		As String
	
	'--- Vendedor atual
	Dim Vendedor_atual_codigo 		As String
	Dim Vendedor_atual_nome 		As String
	Dim Vendedor_atual_desconto 	As String

	'--- Plano atual selecionado
	Dim Plano_atual					As String
	Dim Plano_atual_codigo			As String
	Dim Plano_atual_descricao		As String
	Dim Plano_atual_percentual		As String
	
	'--- Produtos atuais da venda
	Dim lstVenda_produtos_codigo 		 	 As List
	Dim lstVenda_produtos_descricao 	 	 As List
	Dim lstVenda_produtos_qtde 			 As List
	Dim lstVenda_produtos_preco_original As List
	Dim lstVenda_produtos_preco			 As List
	
	Dim venda_atual_arquivo	             As String
	Dim venda_atual_data				 		 As String
	
	
	'--- Dados de Transporte entre formularios
	Dim transporte_valor	  			As Float
	Dim transporte_resposta        		As Boolean
	'---------------------------------------------
	
	FTP_HOST						= ""
	FTP_USUARIO					= ""
	FTP_SENHA					= ""
	FTP_PASTA 	 				= ""
	
	Empresa_atual_codigo   	= "0"
	Vendedor_atual_codigo   = "0"
	Vendedor_atual_desconto = "0"
	Vendedor_atual_nome     = ""
	
	transporte_valor        = NUMERO_DEFAULT
	transporte_resposta     = False
	
	
	arquivos_necessarios.Initialize()
	lstVenda_produtos_codigo.Initialize()
	lstVenda_produtos_descricao.Initialize()
	lstVenda_produtos_qtde.Initialize()
	lstVenda_produtos_preco.Initialize()
	lstVenda_produtos_preco_original.Initialize()
	
	lstPlanos.Initialize()
	
End Sub

Sub NessitaSincronizar() As Boolean
	For i = 0 To arquivos_necessarios.Size - 1 
		If Not(File.Exists(FILE_PATH, arquivos_necessarios.Get(i))) Then
			Return True
		End If
	Next
End Sub

Sub CarregaSetup() As Boolean
	Dim lstSetup As List
	
	FTP_HOST		 	   = ""	
	FTP_USUARIO		 	= ""
	FTP_SENHA		 	= ""	
	FTP_PASTA		 	= ""
	FTP_MODO_PASSIVO 	= False
	VENDEDOR_DEFAULT 	= ""
	EMPRESA_DEFAULT  	= ""
	MOSTRAR_INFORMACOES_LITRAGEM = False

	DateTime.DateFormat = "dd/MM/yyyy"
	
	lstSetup.Initialize()
	
	If File.Exists(FILE_PATH, ARQUIVO_SETUP) Then
		
		lstSetup = File.ReadList(FILE_PATH, ARQUIVO_SETUP)
		
		If lstSetup.Size > 0 Then	FTP_HOST    	 = lstSetup.Get(0)
		If lstSetup.Size > 1 Then	FTP_USUARIO 	 = lstSetup.Get(1)
		If lstSetup.Size > 2 Then	FTP_SENHA   	 = lstSetup.Get(2)
		If lstSetup.Size > 3 Then	FTP_PASTA   	 = lstSetup.Get(3)
		
		If lstSetup.Size > 4 Then	VENDEDOR_DEFAULT = lstSetup.Get(4)
		If lstSetup.Size > 5 Then	EMPRESA_DEFAULT  = lstSetup.Get(5)
		If lstSetup.Size > 6 Then  MOSTRAR_INFORMACOES_LITRAGEM = StrToBool(lstSetup.Get(6))
		If lstSetup.Size > 7 Then  FTP_MODO_PASSIVO = StrToBool(lstSetup.Get(7))
		If lstSetup.Size > 8 Then  PESQUISAR_COMECO = StrToBool(lstSetup.Get(8))
		
		arquivos_necessarios.Clear
		
		arquivos_necessarios.Add(ARQUIVO_CLIENTES)
		arquivos_necessarios.Add(ARQUIVO_VENDEDORES)
		arquivos_necessarios.Add(ARQUIVO_PLANOS)
		
		If (MOSTRAR_INFORMACOES_LITRAGEM) Then 
			arquivos_necessarios.Add(ARQUIVO_LITRAGEM)
		End If
		
		arquivos_necessarios.Add(ARQUIVO_PRODUTOS)
		arquivos_necessarios.Add(ARQUIVO_CONTAS)
		arquivos_necessarios.Add(ARQUIVO_EMPRESAS)
		arquivos_necessarios.Add(ARQUIVO_HISTORICO_VENDAS)
		
		If (VENDEDOR_DEFAULT <> "") Then
			arquivos_necessarios.add(GetaArquivoEspecifico(ARQUIVO_CLIENTES))
			arquivos_necessarios.add(GetaArquivoEspecifico(ARQUIVO_CONTAS))
			arquivos_necessarios.add(GetaArquivoEspecifico(ARQUIVO_HISTORICO_VENDAS))
			arquivos_necessarios.add(GetaArquivoEspecifico(ARQUIVO_LITRAGEM))
		End If
		
	Else
		Msgbox("Você deve configurar o SETUP", APP_NAME)
		Return False
	End If
	Return True
End Sub

Sub NovaVenda()
	Plano_atual				   = ""
	
	'Vendedor_atual_codigo  = ""
	
	Cliente_atual_codigo	   = ""
	Cliente_atual_nome 		= ""
	
	Produto_codigo_atual	   = ""
	Produto_descricao_atual = ""
	Produto_estoque_atual	= ""
	Produto_preco_atual		= ""
	Produto_qtde_atual      = "1"
	
	lstVenda_produtos_codigo.Clear
	lstVenda_produtos_descricao.Clear
	lstVenda_produtos_qtde.Clear
	lstVenda_produtos_preco.Clear
	lstVenda_produtos_preco_original.Clear
	
	Plano_atual_codigo		= ""
	Plano_atual_percentual  = 0
	
	Empresa_atual_codigo    = ""
	
	venda_atual_arquivo     = "NOVO"
	venda_atual_data 		   = FormataData(DateTime.Now)
End Sub

Sub CarregaPlanos()
	lstPlanos.Clear
	If Not(File.Exists(FILE_PATH, ARQUIVO_PLANOS)) Then 
		Erro("Arquivo de PLANOS não encontrado. Faça a sincronização novamente!")
		StartActivity(Main)
		Return
	End If	
	lstPlanos = File.ReadList(FILE_PATH, ARQUIVO_PLANOS)
End Sub

Sub MontaArquivoVendaNovo() As String
	Dim mes, dia, hora, minuto, segundo As String
	Dim ret As String

	mes 	  = PadZero(DateTime.GetMonth(DateTime.Now), 2)
	dia 	  = PadZero(DateTime.GetDayOfMonth(DateTime.Now), 2)
	hora 	  = PadZero(DateTime.GetHour(DateTime.Now), 2)
	minuto  = PadZero(DateTime.GetMinute(DateTime.Now), 2)
	segundo = PadZero(DateTime.GetSecond(DateTime.Now), 2)
	
	ret     = ""
	ret     = ret & "Venda" & NumberFormat(Empresa_atual_codigo, 3, 0) & PadZero(Vendedor_atual_codigo, 4)
	ret     = ret & mes & dia & hora & minuto & segundo &  ".txt"

	Return  ret

End Sub

Sub GravaVenda()
	Dim lstTemp 	   As List
	Dim Codigo  	   As String
	Dim Descricao 	   As String
	Dim nQtde 		   As Float
	Dim nPreco 		   As Float
	Dim Qtde		      As String
	Dim Preco		   As String
	Dim PrecoOriginal As String
	
	Dim Total   	   As Float
	
	Dim Writer		   As TextWriter
	
	lstTemp.Initialize()
	
	If venda_atual_arquivo = "NOVO" Then  
  		venda_atual_arquivo = MontaArquivoVendaNovo
	Else
		File.Delete(FILE_PATH, venda_atual_arquivo)
	End If
	lstTemp.add(";vr1.0")
	lstTemp.add(";--------------------------------------------------------------------------------")
	lstTemp.add(";1-Linha data 2-Cliente 3-Vendedor 4-Plano 5-Total")
	lstTemp.add(";Colunas:")
	lstTemp.add(";CODIGO_PRODUTO(5)|DESCRICAO(40)|QUANTIDADE(8)|PRECO_VENDIDO(10)|PRECO_BASICO(10)")
	lstTemp.add(";--------------------------------------------------------------------------------")
	lstTemp.add(FormataData(DateTime.Now))
	lstTemp.add(PadZero(Cliente_atual_codigo, 5)  & "|" & Cliente_atual_nome)
	lstTemp.Add(PadZero(Vendedor_atual_codigo, 4) & "|" & Vendedor_atual_nome)
	lstTemp.Add(PadZero(Plano_atual_codigo, 4)	 & "|" & Plano_atual_descricao)
	'Calcula total da venda
	Total = 0
	For i = 0 To lstVenda_produtos_codigo.Size - 1 
		nQtde  = lstVenda_produtos_qtde.get(i)
		nPreco = lstVenda_produtos_preco.get(i)
		Total  = Total + (nQtde * nPreco)
	Next
	lstTemp.Add(FormataNumero(Total))

	For i = 0 To lstVenda_produtos_codigo.Size - 1
		Codigo 		  = lstVenda_produtos_codigo.Get(i)
		Codigo        = PadZero(Codigo, 5)
		
		Descricao 	  = lstVenda_produtos_descricao.Get(i)
		Descricao     = Copy(PadSpace(Descricao, 40), 1, 40)
		
		Qtde 		     = lstVenda_produtos_qtde.Get(i)
		Qtde          = NumberFormat2(Qtde, 4, 3, 3, False) 
		
		Preco 		  = lstVenda_produtos_preco.Get(i)
		Preco         = NumberFormat2(Preco, 7, 2, 2, False)
		
		PrecoOriginal = lstVenda_produtos_preco_original.Get(i)
		PrecoOriginal = NumberFormat2(PrecoOriginal, 7, 2, 2, False)

		lstTemp.Add(Codigo & "|" & Descricao & "|" & Qtde & "|" & Preco & "|" & PrecoOriginal) 
	Next
	
	Writer.Initialize(File.OpenOutput(FILE_PATH, venda_atual_arquivo, False))
	
	For i = 0 To lstTemp.Size - 1
		Writer.Write(lstTemp.Get(i) & Chr(13) & Chr(10))
	Next
	Writer.Close

	Aviso("Venda Armazenada.")
	
End Sub

Sub InformacaoVenda(str As String) As TwoStrings
	Dim result 	As TwoStrings
	Dim Cliente As String
	Dim Valor 	As String
	Dim lst 		As List
	
	If File.Exists(FILE_PATH, str) Then
		lst         = File.ReadList(FILE_PATH, str)
		Cliente     = lst.Get(7)
		Cliente     = Cliente.SubString(6)
		
		If (Cliente.Length > 40) Then 
			Cliente = Copy(Cliente, 1, 40)
		End If
		
		Valor       = "R$" & PadLeft(FormataNumero(lst.Get(10)), 10)
		result.Str1 = Cliente
		result.Str2 = "Total do Pedido:" & Valor
	End If
	
	Return result
End Sub

Sub CarregaVenda(str As String) As Boolean
	Dim linha As String
	Dim lst As List
	
	If Not(File.Exists(FILE_PATH, str)) Then
		Erro("Problema ao ler o arquivo de venda!")
		Return False
	End If
	
	NovaVenda
	
	Vendedor_atual_codigo   = ""
	Cliente_atual_codigo		= ""
	Plano_atual_codigo		= ""
	Empresa_atual_codigo    = ""
	
	venda_atual_arquivo     = str
	venda_atual_data 			= FormataData(DateTime.Now)

	If File.Exists(FILE_PATH, str) Then
		lst = File.ReadList(FILE_PATH, str)
		linha 					   = lst.Get(6)
		venda_atual_data 		   = linha
		'Cliente
		linha 					   = lst.Get(7)
		Cliente_atual_codigo	   = Copy(linha, 1, 5)
		Cliente_atual_nome      = linha.SubString(6)
		'Vendedor
		linha 					   = lst.Get(8)
		Vendedor_atual_codigo   = Copy(linha, 1, 4)
		Vendedor_atual_nome     = linha.Substring(5)
		'Plano
		linha					      = lst.Get(9)
		Plano_atual_codigo		= Copy(linha, 1, 4)
		'Aviso(Plano_atual_codigo)
		Plano_atual_descricao	= linha.SubString(5)
		Plano_atual_percentual  = GetaPlanoPercentual(Plano_atual_codigo) 
		If (Plano_atual_percentual = "-1") Then 
			Erro("Erro no carregamento da venda!(plano)")
			Return False
		End If
		'Produtos
		For i = 11 To lst.Size - 1
			linha = lst.Get(i)
			lstVenda_produtos_codigo.Add(Copy(linha, 1, 5))
			lstVenda_produtos_descricao.Add(Copy(linha, 7, 40))
			lstVenda_produtos_qtde.Add(Copy(linha, 48, 8))
			lstVenda_produtos_preco.Add(Copy(linha, 57, 10))
			'Aviso(Copy(linha, 57, 10))
			lstVenda_produtos_preco_original.Add(Copy(linha, 68, 10))						
		Next
	End If
	Return True
End Sub

Sub GetaPlanoPercentual(Codigo As String) As String
	Dim lst As List
	Dim result, linha As String
	result = "-1" 
	If Not(File.Exists(FILE_PATH, ARQUIVO_PLANOS)) Then 
		Erro("Arquivo de PLANOS não encontrado. Faça a sincronização novamente!")
		Return result 
	End If	
	lst = File.ReadList(FILE_PATH, ARQUIVO_PLANOS)
	For i = 0 To lst.Size - 1
		linha = lst.get(i)
		'Erro(linha)
		If (Copy(linha, 1, 1) = ";") Then Continue
		If (Codigo * 1) = (Copy(linha, 1, 4) * 1) Then
			result = Copy(linha, 47, 7)
			Exit
		End If
	Next
	Return result
End Sub

Sub GetaVendedorNome(Codigo As String) As String
	Dim lst As List
	Dim result, linha As String
	result = "-1" 
	If Not(File.Exists(FILE_PATH, ARQUIVO_VENDEDORES)) Then 
		Erro("Arquivo de VENDEDORES não encontrado. Faça a sincronização novamente!")
		Return result 
	End If	
	lst = File.ReadList(FILE_PATH, ARQUIVO_VENDEDORES)
	For i = 0 To lst.Size - 1
		linha = lst.get(i)
		'Erro(linha)
		If (Copy(linha, 1, 1) = ";") Then Continue
		If (Codigo * 1) = (Copy(linha, 1, 4) * 1) Then
			result = Copy(linha, 6, 40)
			Exit
		End If
	Next
	Return result	
End Sub

Sub GetaVendedorDesconto(Codigo As String) As String
	Dim lst As List
	Dim result, linha As String
	result = "-1" 
	If Not(File.Exists(FILE_PATH, ARQUIVO_VENDEDORES)) Then 
		Erro("Arquivo de VENDEDORES não encontrado. Faça a sincronização novamente!")
		Return result 
	End If	
	lst = File.ReadList(FILE_PATH, ARQUIVO_VENDEDORES)
	For i = 0 To lst.Size - 1
		linha = lst.get(i)
		'Erro(linha)
		If (Copy(linha, 1, 1) = ";") Then Continue
		If (Codigo * 1) = (Copy(linha, 1, 4) * 1) Then
			result = Copy(linha, 47, 7)
			Exit
		End If
	Next
	Return result	
End Sub

Sub GetaEmpresaRazao(Codigo As String) As String
	Dim lst As List
	Dim Result, linha As String
	Result = "-1" 
	If Not(File.Exists(FILE_PATH, ARQUIVO_EMPRESAS)) Then 
		Erro("Arquivo de EMPRESAS não encontrado. Faça a sincronização novamente!")
		Return Result 
	End If	
	lst = File.ReadList(FILE_PATH, ARQUIVO_EMPRESAS)
	For i = 0 To lst.Size - 1
		linha = lst.get(i)
		If (Copy(linha, 1, 1) = ";") Then Continue
		If (Codigo * 1) = (Copy(linha, 1, 4) * 1) Then
			Result = linha.SubString(5) 
			Exit
		End If
	Next
	Return Result	
End Sub

Sub PadZero(Str As String, size As Int) As String
	For i = 1 To size
		If (Str.Length < size) Then 
			Str = "0" & Str
		End If
	Next
	Return Str
End Sub

Sub PadLeft(Str As String, size As Int) As String
	For i = 1 To size
		If (Str.Length < size) Then 
			Str = " " & Str
		End If
	Next
	Return Str
End Sub

Sub PadSpace(Str As String, size As Int) As String
	For i = 1 To size
		If (Str.Length < size) Then 
			Str = Str & " "
		End If
	Next
	Return Str
End Sub

Sub StrToBool(Str As String) As Boolean
	If Str.ToLowerCase = "sim" Then 
		Return True
	Else
		Return False
	End If
End Sub

Sub BoolToStr(Bol As Boolean) As String
	If (Bol) Then Return "SIM"  Else Return "NAO" 
End Sub

Sub Erro(Str As String)
	Msgbox(Str, APP_NAME)
End Sub

Sub Aviso(Str As String)
	Msgbox(Str, APP_NAME)
End Sub

Sub AvisoSimNao(Str As String) As Boolean
	Dim result As Int
	result = Msgbox2(Str, APP_NAME, "Sim", "", "Não", Null)
	If result = DialogResponse.POSITIVE Then
		Return True
	Else
		Return False
	End If
End Sub

Sub Copy(Str As String, start As Int, size As Int) As String
	If (size - start + 1) <= Str.Length Then 
		Return Str.SubString2(start - 1, start + size - 1)
	Else
		Return Str
	End If
End Sub

Sub Dorme(ms As Long)
	Dim now As Long
    If ms > 1000 Then ms = 1000  
    now = DateTime.now
    Do Until (DateTime.now > now+ms)
      Sleep(0)
    Loop
End Sub

Sub FormataData(ms As Long) As String
	Dim dia, mes, ano As String
	dia = PadZero(DateTime.GetDayOfMonth(ms), 2)
	mes = PadZero(DateTime.GetMonth(ms), 2)
	ano = DateTime.GetYear(ms)
	Return dia & "/" & mes & "/" & ano
End Sub

Sub FormataNumero(n As String) As String
	Return NumberFormat2(n, 1, 2, 2, False)
End Sub

Sub FormataQuantidade(n As String) As String
	Return NumberFormat2(n, 1, 3, 3, False)
End Sub

Sub DefaultWidth(acw As Int) As Int
	Return (acw)
End Sub

Sub DefaultLeft() As Int
	Return 0
End Sub

Sub GetaArquivoEspecifico(Str As String) As String
	Dim Arquivo As String
	Dim Pos As Int
	If (VENDEDOR_DEFAULT = "") Then Return Str
	Pos     = Str.IndexOf(".")
	Arquivo = Str.SubString2(0, Pos)
	Arquivo = Arquivo &  NumberFormat2((VENDEDOR_DEFAULT * 1), 3, 0, 0, False) & ".TXT"
	'Aviso("'" &  Arquivo & "'")
	Return Arquivo
End Sub

Sub TestaInternet() As Boolean
'    Dim p As Phone
'    Dim connected As Boolean
'    connected = False
'    
'    If (p.GetDataState == "CONNECTED") Then
'        connected = True
'    End If
'    
'    If (p.GetSettings ("wifi_on") == 1) Then
'        connected = True
'    End If
'    
'    Return connected
	 
	 Return True
	 
	 
End Sub

Sub Split(c As String, texto As String) As Object
	
	Dim lst As List
	Dim p   As Int
	Dim str As String
	
	lst.Initialize
	
	Do While texto.Length > 0 
		p = texto.IndexOf(c)
		If p <> -1 Then 
			str = Copy(texto, 1, p)
			lst.Add(str)			
			texto = Copy(texto, p + 2, texto.Length - p - 1).Trim
		Else
			If texto <> "" Then 
				lst.Add(texto)
			End If
			Exit 
		End If
	Loop
	Return List2Array(lst)
End Sub

Private Sub List2Array (lista As List) As String()
	Dim arrArgs(lista.Size) As String
	For i = 0 To arrArgs.Length - 1
		arrArgs(i) = lista.Get(i)
	Next
	Return arrArgs
End Sub

Sub FormataDuasLinhas(lv As ListView)
	lv.TwoLinesLayout.Label.TextSize	       = 12
	lv.TwoLinesLayout.Label.Height   	    = 2dip * lv.TwoLinesLayout.Label.TextSize
	lv.TwoLinesLayout.Label.TextColor		 = Colors.White
	lv.TwoLinesLayout.Label.Typeface   	    = Typeface.DEFAULT_BOLD
	
	lv.TwoLinesLayout.SecondLabel.TextSize   = 12
	lv.TwoLinesLayout.SecondLabel.Height     = 2dip * lv.TwoLinesLayout.SecondLabel.TextSize
	lv.TwoLinesLayout.SecondLabel.TextColor  = Colors.Yellow
	lv.TwoLinesLayout.SecondLabel.Typeface   = Typeface.DEFAULT_BOLD

End Sub

Sub DeligaSpell(edt As EditText)
	edt.InputType = Bit.Or(edt.InputType, 524289)
End Sub

Sub ContaRegistros As Int
	Dim Lista  As List
	Dim Linhas As List
	Dim count  As Int
	count = 0
	Lista = File.ListFiles(FILE_PATH)
	For Each arq As String In Lista
		If arq.ToLowerCase.StartsWith("venda") Then
			Linhas = File.ReadList(FILE_PATH, arq)
			count = count + Linhas.Size
		End If
	Next
	Return count
End Sub

Sub GetBroadcastAddress As String
	Dim niIterator As JavaObject
	niIterator = niIterator.InitializeStatic("java.net.NetworkInterface").RunMethod("getNetworkInterfaces", Null)
	Do While niIterator.RunMethod("hasMoreElements", Null)
		Dim ni As JavaObject = niIterator.RunMethod("nextElement", Null)
		If ni.RunMethod("isLoopback", Null) = False Then
			Dim addresses As List = ni.RunMethod("getInterfaceAddresses", Null)
			For Each ia As JavaObject In addresses
				Dim broadcast As Object = ia.RunMethod("getBroadcast", Null)
				If broadcast <> Null Then
					Dim b As String = broadcast
					Return b.SubString(1)
				End If
			Next
		End If
	Loop
	Return ""
End Sub

Sub ExtractFileName(path As String) As String
	Dim p As Int
	p = path.LastIndexOf("/")
	If (p <> -1) Then
		path = path.SubString(p + 1)
	End If
	Return path
End Sub








