﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=7.3
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: True
	#IncludeTitle: True
#End Region

'-----------------------------------------------------------------------
' ACTIVITY - HISTÓRICO DE VENDAS
'-----------------------------------------------------------------------
Sub Process_Globals
End Sub

Sub Globals
	Dim lstHistoricoVendas As List
	Dim lvHistoricoVendas  As ListView
	
	Dim lstCodigos			  As List
	Dim lstDescricoes	     As List
	Dim lstQuantidades	  As List
	Dim lstPrecos			  As List

End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("frmHistoricoVendas")
	
	lstHistoricoVendas.Initialize
	
	lstCodigos.Initialize
	lstDescricoes.Initialize
	lstQuantidades.Initialize
	lstPrecos.Initialize
	
	AjustaControles

	CarregaHistoricoVendas
End Sub

Sub Activity_Resume
	AjustaControles
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	Activity.Finish
End Sub

Sub CarregaHistoricoVendas
';--------------------------------------------------------------------------------
';CCli Data     C.Mer Descricao            QTDE     PRECO
';--------------------------------------------------------------------------------
'00002|29/11/11|00104|Fermento Saf Vermelh|1       |  140.00
	Dim lst 						As List
	
	Dim CodigoCliente 	   As String
	Dim Data				      As String
	Dim CodigoMercadoria    As String
	Dim DescricaoMercadoria As String 
	Dim Quantidade 		   As String
	Dim PrecoVendido 		   As String
	
	Dim Linha 				   As String
	Dim Achou 					As Boolean
	
	Dim Campos()				As String
	
	Achou = False
	lvHistoricoVendas.Clear
	If (File.Exists(Geral.FILE_PATH, Geral.GetaArquivoEspecifico(Geral.ARQUIVO_HISTORICO_VENDAS))) Then 
		lst = File.ReadList(Geral.FILE_PATH, Geral.GetaArquivoEspecifico(Geral.ARQUIVO_HISTORICO_VENDAS))
	Else
		Geral.Erro("Arquivo de HISTÓRICO de VENDAS não encontrado. Faça a sincronização")
		Return
	End If		
	For i = 0 To lst.Size - 1	
		Linha = lst.Get(i)
		
		If Geral.Copy(Linha, 1, 1) = ";" Then 
			Continue
		End If
		
		If (Linha.IndexOf("|") <> -1) Then 
			Campos 					= Geral.Split("|", Linha)
			CodigoCliente 			= Campos(0)
			Data 						= Campos(1)
			CodigoMercadoria 		= Campos(2)
			DescricaoMercadoria 	= Campos(3)
			Quantidade 				= Campos(4)
			PrecoVendido 			= Campos(5)				
		Else
			CodigoCliente       = Geral.Copy(Linha, 1, 5)
			Data                = Geral.Copy(Linha, 7, 8)
			CodigoMercadoria    = Geral.Copy(Linha, 16, 5)
			DescricaoMercadoria = Geral.Copy(Linha, 22, 20)
			Quantidade	        = Geral.Copy(Linha, 43, 8)
			PrecoVendido 		  = Geral.Copy(Linha, 52, 8)
		End If
		
		If (CodigoCliente * 1) <> (Geral.Cliente_atual_codigo * 1) Then
			If (Achou = True) Then 
				Exit 
			Else 
				Continue
			End If
		End If
		
		lvHistoricoVendas.AddTwoLines2(Data & "-" & DescricaoMercadoria, _ 
						"Q:" & Geral.PadLeft(Geral.FormataQuantidade(Quantidade), 7) & " x " & _ 
						"$:" & Geral.PadLeft(Geral.FormataNumero(PrecoVendido), 10), Linha)
						
		lstCodigos.Add(CodigoMercadoria)
		lstDescricoes.Add(DescricaoMercadoria)
		lstQuantidades.Add(Geral.FormataQuantidade(Quantidade * 1))
		lstPrecos.Add(Geral.FormataNumero(PrecoVendido * 1))
						
	   Achou = True
		
	Next
	lvHistoricoVendas.Invalidate
End Sub

Sub AjustaControles
	Geral.FormataDuasLinhas(lvHistoricoVendas)
End Sub

Sub lvHistoricoVendas_ItemClick (Position As Int, Value As Object)
	Geral.Produto_codigo_atual     = lstCodigos.Get(Position)
	Geral.Produto_descricao_atual  = lstDescricoes.Get(Position)
  	Geral.Produto_qtde_atual       = lstQuantidades.Get(Position)
	Geral.Produto_preco_atual 	    = lstPrecos.Get(Position)

	Activity.Finish
End Sub