﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=7.3
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: True
	#IncludeTitle: False
#End Region

'-----------------------------------------------------------------------
' P A S S O    3 - Informações de CONTAS do cliente
'-----------------------------------------------------------------------
Sub Process_Globals

End Sub

Sub Globals

	Dim edtDebitosCliente As EditText
	Dim lblNomeCliente As Label
	Dim btnProximaTela As Button
	Dim edtPesquisaCliente As EditText
	Dim lblInformacoesContas As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("frmInformacoesContas")
	AjustaControles
	lblNomeCliente.Text = " " & Geral.cliente_atual_nome
	CarregaDebitosCliente
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

';vr1.0
';--------------------------------------------------------------------------------
';CCli Nº_Documento    Data_Lanc  Data_Venc       Valor
';--------------------------------------------------------------------------------
'13974366709|Parc.1/3       |15/06/2018|15/07/2018|0000666.68

Sub CarregaDebitosCliente
	Dim lsDebitos			As List
	Dim linha				As String
	Dim Codigo				As String
	Dim Documento			As String
	Dim DataLancamento 	As String
	Dim DataVencimento 	As String
	Dim Valor				As Double
	Dim TotalVencido 		As Double
	Dim TotalAberto 		As Double
	Dim Tag 					As String
	Dim Campos()			As String
	
	If Not(File.Exists(Geral.FILE_PATH, Geral.GetaArquivoEspecifico(Geral.ARQUIVO_CONTAS))) Then 
		Geral.Erro("Arquivo de contas não encontrado. Faça a sincronização novamente!")
		StartActivity(Main)
		Return
	End If
	
	lsDebitos.Initialize()
	lsDebitos = File.ReadList(Geral.FILE_PATH, Geral.GetaArquivoEspecifico(Geral.ARQUIVO_CONTAS))
	edtDebitosCliente.Text = ""

	For i = 0 To lsDebitos.Size - 1
		linha  = lsDebitos.Get(i)
		If (linha.StartsWith(";")) Then Continue
		
		If (linha.IndexOf("|") <> -1) Then
			Campos 	      = Geral.Split("|", linha)
			Codigo 		   = Campos(0)
			Documento	   = Campos(1)
			DataLancamento = Campos(2)
			DataVencimento = Campos(3)
			Valor		      = Campos(4) * 1
		Else
			Codigo 		   = Geral.Copy(linha, 01, 05)
			Documento	   = Geral.Copy(linha, 07, 15)
			DataLancamento = Geral.Copy(linha, 23, 10)
			DataVencimento = Geral.Copy(linha, 34, 10)
			Valor		      = Geral.Copy(linha, 45, 10) * 1
		End If
		
		If (Codigo <> Geral.Cliente_atual_codigo) Then  
			Continue
		End If
		
		DateTime.DateFormat = "dd/MM/yyyy"
		
		If DateTime.DateParse(DataVencimento) < DateTime.Now Then
			TotalVencido = TotalVencido + Valor
			Tag = " #"
		Else
			Tag = " "
			TotalAberto  = TotalAberto  + Valor
		End If
		
		linha = DataLancamento & " " & DataVencimento & " " & Geral.PadLeft(NumberFormat2(Valor, 1, 2, 2, False), 8) & Tag
		edtDebitosCliente.text = edtDebitosCliente.Text & linha & CRLF
	Next
	
	If edtDebitosCliente.Text <> "" Then
		edtDebitosCliente.Text = edtDebitosCliente.Text & "--------------------------------" & CRLF
			edtDebitosCliente.Text = edtDebitosCliente.Text & "                      " & _ 
			Geral.PadLeft(NumberFormat2(TotalVencido + TotalAberto, 1, 2, 2, False), 8) & CRLF & CRLF
			
		edtDebitosCliente.Text = edtDebitosCliente.Text & "Total vencido: " & _ 
			Geral.PadLeft(NumberFormat2(TotalVencido, 1, 2, 2, False), 8) & CRLF
			
		edtDebitosCliente.Text = edtDebitosCliente.Text & "Total aberto : " & _ 
			Geral.PadLeft(NumberFormat2(TotalAberto, 1, 2, 2, False), 8) & CRLF
	Else
		edtDebitosCliente.Text = "Débito inexistente"
	End If
End Sub

Sub btnProximaTela_Click
	StartActivity(actPedidoVenda)	
End Sub

Sub AjustaControles
	
End Sub
