﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=7.3
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: True
	#IncludeTitle: True
#End Region

'-----------------------------------------------------------------------
' Activity - VENDAS AINDA NAO ENVIADAS QUE ESTAO NO DISPOSITIVO
'-----------------------------------------------------------------------
Sub Process_Globals
End Sub

Sub Globals
	Dim lvVendas As ListView
	Dim lstVendas As List
	Dim btnExcluirPedido As Button
	Dim selectedIndex As Int
	Dim btnSelecionarPedido As Button
	Private lblDescricao As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("frmInformacoesVendas")
	AjustaControles
	lstVendas.Initialize
	CarregaListaVendas
	selectedIndex = -1
End Sub

Sub Activity_Resume
	selectedIndex = -1
End Sub

Sub Activity_Pause (UserClosed As Boolean)
' 
End Sub

Sub CarregaListaVendas
	Dim lstAux As List
	Dim Linha  As String
	Dim Str    As TwoStrings
	
	lvVendas.Clear
	lstVendas.Initialize
	lstAux = File.ListFiles(Geral.FILE_PATH)
	If (lstAux <> Null) Then
		For i = 0 To lstAux.Size - 1 
			Linha = lstAux.Get(i)
			If (Linha.ToLowerCase.StartsWith("venda")) Then
				lstVendas.Add(Linha)
				Str = Geral.InformacaoVenda(Linha)
				lvVendas.AddTwoLines(Str.Str1, Str.Str2)
			End If
		Next
	End If
End Sub
Sub lvVendas_ItemClick (Position As Int, Value As Object)
	selectedIndex = Position
	lblDescricao.Text = Value
End Sub
Sub AjustaControles
	Geral.FormataDuasLinhas(lvVendas)
End Sub

Sub btnExcluirPedido_Click
	If (selectedIndex == -1) Then 
		Geral.AvisoSimNao("Selecione uma venda primeiro")
		Return 
	End If
	If Geral.AvisoSimNao("Confirma exclusão de " & lvVendas.GetItem(selectedIndex) & " ?") = False Then Return
	File.Delete(Geral.FILE_PATH, lstVendas.Get(selectedIndex))
	CarregaListaVendas
End Sub
Sub btnSelecionarPedido_Click
	If (selectedIndex == -1) Then 
		Geral.AvisoSimNao("Selecione uma venda primeiro")
		Return 
	End If
	If Geral.CarregaVenda(lstVendas.Get(selectedIndex)) Then 	
		StartActivity(actPedidoVenda)
	Else
		Geral.Erro("Erro ao carrega a venda!")
	End If
End Sub
