﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=7.3
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: True
	#IncludeTitle: True
#End Region

'-----------------------------------------------------------------------
' P A S S O    2 - Seleciona CLIENTE
'-----------------------------------------------------------------------
Sub Process_Globals

End Sub

Sub Globals
	'Mapeados
	Dim edtPesquisaCliente As EditText
	Dim lvClientes  		  As ListView
	Dim lblClientes 		  As Label
	
	Dim lsCodigos          As List
	Dim lsNomes				  As List
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("frmSelecionaCliente")

	lsCodigos.Initialize
	lsNomes.Initialize
	
	AjustaControles
	CarregaClientes("")	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	
End Sub

Sub lvClientes_ItemClick (Position As Int, Value As Object) 
	Dim Campos() As String

	Campos = Geral.Split("|",  lsCodigos.Get(Position))
	
	Geral.cliente_atual_codigo   = Campos(1)
	Geral.cliente_atual_nome     = Campos(0)
	StartActivity(actInformacoesContas)	
End Sub

Sub edtPesquisaCliente_TextChanged (Old As String, New As String)
	Dim i 	 As Int
	Dim nome  As String
	Dim Campos() As String
 
	For i = 0 To lsCodigos.Size - 1
		Campos = Geral.Split("|",  lsCodigos.Get(i))
		nome = Campos(0)
		If Geral.PESQUISAR_COMECO = True Then 
			If nome.StartsWith(New.ToUpperCase) Then 
				lvClientes.SetSelection(i)
				Exit
			End If
		Else
			If nome.IndexOf(New.ToUpperCase) <> -1 Then
				lvClientes.SetSelection(i)
				Exit
			End If
		End If
	Next
	lvClientes.Invalidate
	
	
End Sub

Sub CarregaClientes(pesquisar As String)
	Dim lsClientes As List
	
	Dim Linha 	 As String
	Dim Codigo 	 As String
	Dim Nome 	 As String
	
	Dim Campos() As String
			
	If Not(File.Exists(Geral.FILE_PATH, Geral.GetaArquivoEspecifico(Geral.ARQUIVO_CLIENTES))) Then 
		Geral.Erro("Arquivo de CLIENTES não encontrado. Faça a sincronização novamente!")
		StartActivity(Main)
		Return
	End If
	ProgressDialogShow("Carregando dados...")

	lsClientes.Initialize()
	lsClientes = File.ReadList(Geral.FILE_PATH, Geral.GetaArquivoEspecifico(Geral.ARQUIVO_CLIENTES))

	lvClientes.Clear
	lsCodigos.Clear
	
	'32743157704|ADEMIR OLIVEIRA CYRNE
	
	ProgressDialogShow("Carregando lista...")
	For i = 0 To lsClientes.Size - 1
		Linha = lsClientes.Get(i)
		If (Linha.StartsWith(";")) Then Continue

		If Linha.IndexOf("|") <> -1 Then 
			Campos = Geral.Split("|",  Linha)
			Codigo = Campos(0)
			Nome   = Campos(1)
		Else
			Codigo  = Geral.Copy(Linha, 1, 5)
			Nome    = Geral.Copy(Linha, 7, Linha.Length - 6)
		End If
		
		If (Nome.Length > 30) Then Nome = Geral.Copy(Nome, 1, 30)
		lsNomes.add(Nome.ToUpperCase)
		lsCodigos.Add(Nome.ToUpperCase & "|" & Codigo)
		lsCodigos.SortCaseInsensitive(True)
	Next

	For i = 0 To lsCodigos.Size - 1
		Campos = Geral.Split("|",  lsCodigos.Get(i))
		Nome = Campos(0)
		lvClientes.AddSingleLine(Nome.ToUpperCase)
	Next

	
	ProgressDialogHide
End Sub
Sub AjustaControles
	lvClientes.SingleLineLayout.Label.TextSize = 18
	lvClientes.SingleLineLayout.ItemHeight     = 4dip * 18
End Sub