﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=7.3
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: True
	#IncludeTitle: True
#End Region

'-----------------------------------------------------------------------
' P A S S O    1 - Seleciona VENDEDOR 
'-----------------------------------------------------------------------
Sub Process_Globals
End Sub

Sub Globals
	Dim lvVendedores As ListView
	Dim lsDescontos As List
	Dim lsCodigos As List
	Dim lblSelecionaVendedor As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
    Activity.LoadLayout("frmSelecionaVendedor")
	AjustaControles
	lsDescontos.Initialize()
	lsCodigos.Initialize()
	CarregaVendedores
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
' 
End Sub

Sub lvVendedores_ItemClick (Position As Int, Value As Object)
	Geral.Vendedor_atual_codigo   = lsCodigos.Get(Position) 
	Geral.Vendedor_atual_nome     = Value 
	Geral.Vendedor_atual_desconto = lsDescontos.Get(Position)
	StartActivity(actSelecionaCliente)
End Sub

Sub CarregaVendedores
	Dim lsVendedores As List
	
	Dim linha 	 As String
	Dim Codigo 	 As String
	Dim Nome 	 As String
	Dim Desconto As String
	Dim Campos() As String
	
	If Not(File.Exists(Geral.FILE_PATH, Geral.ARQUIVO_VENDEDORES)) Then 
		Geral.Erro("Arquivo de vendedores não encontrado. Faça a sincronização novamente!")
		StartActivity(Main)
		Return
	End If
	lsVendedores.Initialize()
	lsVendedores = File.ReadList(Geral.FILE_PATH, Geral.ARQUIVO_VENDEDORES)
	lvVendedores.Clear
	lsDescontos.Clear
	lsCodigos.Clear
	
	For i = 0 To lsVendedores.Size - 1
		linha = lsVendedores.Get(i)
		If (linha.StartsWith(";")) Then Continue
	
		If linha.IndexOf("|") <> -1 Then 
			Campos    = Geral.Split("|", linha)

			Codigo   = Campos(0)
			Nome     = Campos(1)
			Desconto = Campos(2)
		Else
			Codigo     = Geral.Copy(linha, 1, 4)
			Nome       = Geral.Copy(linha, 6, 40)
			Desconto   = Geral.Copy(linha, 47, 7)				
		End If
		lvVendedores.AddSingleLine(Nome)
		lsDescontos.Add(Desconto)
		lsCodigos.Add(Codigo)
	Next
End Sub

Sub AjustaControles
	lvVendedores.SingleLineLayout.Label.TextSize = 18
	lvVendedores.SingleLineLayout.Label.Height   = 48dip
	lvVendedores.SingleLineLayout.ItemHeight     = 48dip
End Sub