﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=7.3
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: True
	#IncludeTitle: True
#End Region

'-----------------------------------------------------------------------
' P A S S O    Final - Seleciona EMPRESA
'-----------------------------------------------------------------------
Sub Process_Globals
End Sub

Sub Globals
	Dim lblSelecionaEmpresa As Label
	Dim lvEmpresas As ListView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("frmSelecionaEmpresa")
	AjustaControles
	CarregaEmpresas
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	Activity.Finish
End Sub

Sub CarregaEmpresas
	Dim lstEmpresas As List
	
	Dim linha 	 As String
	Dim Codigo 	 As String
	Dim Razao 	 As String
	
	If Not(File.Exists(Geral.FILE_PATH, Geral.ARQUIVO_EMPRESAS)) Then 
		Geral.Erro("Arquivo de EMPRESAS não encontrado. Faça a sincronização novamente!")
		StartActivity(Main)
		Return
	End If
	lstEmpresas.Initialize()
	lstEmpresas = File.ReadList(Geral.FILE_PATH, Geral.ARQUIVO_EMPRESAS)
	lvEmpresas.Clear
	For i = 0 To lstEmpresas.Size - 1
		linha = lstEmpresas.Get(i)
		If (linha.StartsWith(";")) Then Continue
		Codigo     = Geral.Copy(linha, 1, 3)
		Razao      = Geral.Copy(linha, 6, 40)
		lvEmpresas.AddSingleLine(Codigo & "-" & Razao)
	Next
End Sub

Sub AjustaControles
	lvEmpresas.SingleLineLayout.Label.TextSize = 16
	lvEmpresas.SingleLineLayout.Label.Height   = 45dip
	lvEmpresas.SingleLineLayout.ItemHeight     = 45dip
End Sub

Sub lvEmpresas_ItemClick (Position As Int, Value As Object)
	Geral.Empresa_atual_codigo  = Geral.Copy(Value, 1, 3)
	Geral.Empresa_atual_razao   = Geral.Copy(Value, 5, 40)
	If Geral.AvisoSimNao("Fechar o pedido na empresa " & Geral.Empresa_atual_razao) Then 
		Geral.GravaVenda()
		Geral.NovaVenda()
		StartActivity(actSelecionaCliente)
	End If
End Sub
